summaryrefslogtreecommitdiffstats
path: root/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/build-spec/pre-build
diff options
context:
space:
mode:
Diffstat (limited to 't/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/build-spec/pre-build')
-rwxr-xr-xt/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/build-spec/pre-build9
1 files changed, 9 insertions, 0 deletions
diff --git a/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/build-spec/pre-build b/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/build-spec/pre-build
new file mode 100755
index 0000000..ab43774
--- /dev/null
+++ b/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/build-spec/pre-build
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+
+DIR="$1"
+
+mkdir -p "$DIR/scripts"
+NAME=`echo -e 'example\xE2\x80\xAEfig.exe'`
+touch "$DIR/scripts/$NAME"